# ActionSchedule Object

## Description

Represents an action schedule

## Properties

### parameters

Additional parameters for the schedule. The object value is dependent on the value of `scheduleType`.

Type: [ScheduleParameters](/data-types/scheduleparameters-object.md) object.

Required: Yes

### scheduleType

Type of schedule.

Type: `string`

Valid Values:

* `none`
* `hourly`
* `daily`
* `weekly`
* `monthly`

Type: `string`

Required: Yes

### startDate

First date of possible execution for the schedule, in `yyyy-mm-dd` format.

Type: `string`

Required: Yes

### timeOfDay

Time of day to execute, in `hh:mm:ss` format. Time is local to the specified time zone.

Type: `string`

Required: Yes

### timeZoneId

Time zone in which the schedule resides.

Type: `string`

Required: Yes

## Sample JSON

```javascript
{
    "scheduleType": "daily",
    "startDate": "2016-06-10",
    "timeOfDay": "12:23:00",
    "timeZoneId": "Eastern Standard Time",
    "parameters": {
        "days": [
            "monday",
            "tuesday",
            "wednesday",
            "thursday",
            "friday"
        ]    
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionschedule-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
